/* dialogresponses.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */
using Gtk;

namespace I4uc.GtkFrontend.DialogResponses
{
	private const ResponseType[] _DIALOG_RESPONSES =
	{
		ResponseType.CANCEL,
		ResponseType.NO,
		ResponseType.OK,
		ResponseType.YES
	};
	
	public ResponseType get_response_type (I4uc.Core.DialogResponse dialog_response)
	{
		return _DIALOG_RESPONSES [(int)dialog_response];
	}
	
	public I4uc.Core.DialogResponse get_dialog_response (ResponseType response_type)
	{
		int i = 0;
		foreach (var response in _DIALOG_RESPONSES)
		{
			if (response == response_type)
				return (I4uc.Core.DialogResponse)i;
			i++;
		}
		return I4uc.Core.DialogResponse.CANCEL;
	}
}
