/* messagebar.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */
using Gtk;

public class I4uc.GtkFrontend.MessageBar : InfoBar, I4uc.Core.MessageBar
{
	private Label _primary_label = new Label ("");
	private Label _secondary_label = new Label ("");
	
	private Image _image = new Image.from_stock (STOCK_FILE, IconSize.DIALOG);
	public I4uc.Core.TabImage image
	{
		set { _image.set_from_stock (TabImages.get_stock_item (value), IconSize.DIALOG); }
		get { return TabImages.get_tab_image (_image.stock); }
	}
	
	public string primary_text
	{
		set { _primary_label.label = "<b>" + value + "</b>"; }
		get { return _primary_label.label; }
	}
	
	public string secondary_text
	{
		set { _secondary_label.label = "<small>" + value + "</small>"; }
		get { return _secondary_label.label; }
	}
	
	public MessageBar ()
	{
		this.can_focus = false;
		
		_primary_label.set_use_markup (true);
		_primary_label.set_line_wrap (true);
		_primary_label.xalign = 0;		
		_secondary_label.set_use_markup (true);
		_secondary_label.set_line_wrap (true);
		_secondary_label.xalign = 0;		
		
		var vbox = new VBox (false, 0);
		vbox.pack_start (_primary_label, true, true, 0);
		vbox.pack_start (_secondary_label, true, true, 0);
		
		var hbox = get_content_area () as HBox;
		hbox.pack_start (_image, false, false, 0);
		hbox.pack_start (vbox, true, true, 0);
	}
}
