/* pagepositions.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */
using Gtk;

namespace I4uc.GtkFrontend.PagePositions
{
	private const PositionType[] _PAGE_POSITIONS =
	{
		PositionType.BOTTOM,
		PositionType.LEFT,
		PositionType.RIGHT,
		PositionType.TOP
	};
	
	public PositionType get_position_type (I4uc.Core.PagePosition page_position)
	{
		return _PAGE_POSITIONS[(int)page_position];
	}
	
	public I4uc.Core.PagePosition get_page_position (PositionType position_type)
	{
		int i = 0;
		foreach (var position in _PAGE_POSITIONS)
		{
			if (position == position_type)
				return (I4uc.Core.PagePosition)i;
			i++;
		}
		return I4uc.Core.PagePosition.TOP;
	}
}
