/* programmerspage.vala
 *
 * Copyright (C) 2010-2011  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */
using Gtk;

public class I4uc.GtkFrontend.ProgrammersPage : Page, I4uc.Core.ProgrammersPage
{
	private ItemsCombo _programmers_combo = new ItemsCombo.with_button (_("Programmer:"), STOCK_REFRESH);
	private OptionsView _options_view = new OptionsView ();
	
	public string current_programmer { set; get; }
	public I4uc.Core.OptionsView options_view { get { return _options_view; } }
	
	public bool programmer_sensitive { set; get; }
	public bool options_view_sensitive { set; get; }
	
	public ProgrammersPage ()
	{
		base.with_side_label ();
		
		pack_start (_programmers_combo, false, false, 5);
		
		var scrolled_window = new ScrolledWindow (null, null);
		scrolled_window.add_with_viewport (_options_view);
		scrolled_window.set_policy (PolicyType.NEVER, PolicyType.AUTOMATIC);
		
		pack_start (scrolled_window, true, true, 2);
		show_all ();
		
		//Bind properties
		bind_property ("current-programmer", _programmers_combo, "current-item", BindingFlags.BIDIRECTIONAL);
		bind_property ("programmer-sensitive", _programmers_combo, "sensitive", BindingFlags.BIDIRECTIONAL);
		bind_property ("options-view-sensitive", _options_view, "sensitive", BindingFlags.BIDIRECTIONAL);
		
		// Connect signals
		_programmers_combo.button_clicked.connect (() => this.update_programmer_clicked ());
	}
	
	public void add_programmer (string programmer)
	{
		_programmers_combo.add_item (programmer);
	}
}
