/* tabimages.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */
using Gtk;

namespace I4uc.GtkFrontend.TabImages
{
	private const string[] _TAB_IMAGES =
	{
		STOCK_EXECUTE,
		STOCK_DIALOG_ERROR,
		STOCK_FILE,
		STOCK_NEW,
		STOCK_MISSING_IMAGE,
		"i4uc-programmer-icon",
		STOCK_DIALOG_WARNING
	};
	
	public string get_stock_item (I4uc.Core.TabImage tab_image)
	{
		return _TAB_IMAGES[(int)tab_image];
	}
	
	public I4uc.Core.TabImage get_tab_image (string stock_item)
	{
		int i = 0;
		foreach (var item in _TAB_IMAGES)
		{
			if (item == stock_item)
				return (I4uc.Core.TabImage)i;
			i++;
		}
		return I4uc.Core.TabImage.NONE;
	}
}
