/* utils.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */
using Gtk;
using Gee;

namespace I4uc.GtkFrontend.Utils
{
	public HBox create_hbox (string title, SizeGroup size_group, VBox vbox)
	{
		var hbox = new HBox (false, 0);
		var label = new Label (title);
		label.xalign = 1;
		size_group.add_widget (label);
		
		hbox.pack_start (label, false, false, 5);
		vbox.pack_start (hbox, false, false, 5);

		return hbox;
	}
	
	public Button create_close_button ()
	{
		var close_button = new Button ();
		close_button.relief = ReliefStyle.NONE;
		close_button.focus_on_click = false;
		var style = new RcStyle ();
		style.xthickness = style.ythickness = 0;
		close_button.modify_style (style);
		close_button.add (new Image.from_stock (Gtk.STOCK_CLOSE, IconSize.MENU));
		return close_button;
	}
	
	public void add_vbox_label (VBox vbox, string label_text, Widget widget)
	{
		var label = new Label (label_text);
		label.xalign = 0;
		vbox.pack_start (label, false, false, 0);
		vbox.pack_start (widget, false, false, 0);
	}
}
