/* mainwindowview.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */
using Gee;

public interface I4uc.Core.MainWindowView : GLib.Object
{
	public abstract string title { set; get; }
	public abstract bool show_side_panel_active { set; get; }
	public abstract bool side_panel_visible { set; get; }
	public abstract bool show_bottom_panel_active { set; get; }
	public abstract bool bottom_panel_visible { set; get; }

	public signal void size_changed (int width, int height);
	public signal void state_changed (bool maximized);
	public signal void show_side_panel_changed ();
	public signal void show_bottom_panel_changed ();
	public signal bool exit_clicked ();
	public signal void about_clicked ();
	
	public abstract void set_size (int width, int height);
	public abstract void maximize ();
	public abstract void show_about_dialog (Gee.Map<string, string> app_info, Gee.List<string> authors);
}
