/* optionview.vala
 *
 * Copyright (C) 2011  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */

public interface I4uc.Core.OptionView : GLib.Object
{
	public abstract string name { get; }
	public abstract string tooltip { set; get; }
	public abstract string value { set; owned get; }
	public abstract bool active { set; get; }
	public abstract bool sensitive { set; get; }
	public abstract bool value_sensitive { set; get; }
}

public interface I4uc.Core.ListOptionView : OptionView
{
	public abstract void add_items (Gee.List<string> items);
	public abstract void clear_items ();
}

public interface I4uc.Core.RangeOptionView : OptionView
{
	public abstract void set_range (int min, int max, int step);
}
