/* posixudevdevices.vala
 *
 * Copyright (C) 2011  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */

using Gee;
using GUdev;

public class I4uc.Core.PosixUDevUtils : UDevUtils, GLib.Object
{
	public Gee.List<string> get_devices_file_list (string subsystem, string property_id, string property_value)
	{
		var devices_file = new ArrayList<string> ();
		var client = new Client (null);
		foreach (var device in client.query_by_subsystem (subsystem))
			if (device.has_property (property_id) && device.get_property (property_id)==property_value)
				devices_file.add (device.get_device_file ());
		return devices_file.read_only_view;
	}
}
