/* profilebuilderlogpage.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */

public interface I4uc.Core.ProfileBuilderLogPage : GLib.Object, Page
{
	public abstract string message_format { set; get; }
	public abstract string error_format { set; get; }
	public abstract string command_format { set; get; }
	public abstract string output_format { set; get; }
	
	public signal void message_activated (string message);
	public signal void command_activated (string output, CommandContext command_context);
	
	public abstract void add_message (string message);
	public abstract void add_error (string error);
	public abstract void add_command (CommandContext command_context);
	public abstract void clear ();
}
