/* projectsview.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */

public interface I4uc.Core.ProjectsView : GLib.Object
{
	public abstract ProjectsPageView page_view { get; }
	public abstract ProfileBuilderLogPage build_log_page { get; }
	public abstract bool add_file_sensitive { set; get; }
	public abstract bool remove_file_from_project_sensitive { set; get; }
	public abstract bool remove_file_from_profile_sensitive { set; get; }
	public abstract bool add_profile_sensitive { set; get; }
	public abstract bool edit_profile_sensitive { set; get; }
	public abstract bool duplicate_profile_sensitive { set; get; }
	public abstract bool remove_profile_sensitive { set; get; }
	public abstract bool build_profile_sensitive { set; get; }
	public abstract bool program_profile_sensitive { set; get; }
	public abstract bool stop_sensitive { set; get; }
	public abstract bool clean_profile_sensitive { set; get; }
	public abstract bool close_sensitive { set; get; }
	
	public signal void new_clicked ();
	public signal void add_file_clicked ();
	public signal void remove_file_from_project_clicked ();
	public signal void remove_file_from_profile_clicked ();
	public signal void add_profile_clicked ();
	public signal void edit_profile_clicked ();
	public signal void duplicate_profile_clicked ();
	public signal void remove_profile_clicked ();
	public signal void build_profile_clicked ();
	public signal void program_profile_clicked ();
	public signal void stop_clicked ();
	public signal void clean_profile_clicked ();
	public signal void close_clicked ();

	public abstract DialogResponse show_new_dialog (out string project_uri, out string project_name);
	public abstract AddFileDialogView create_add_file_dialog_view ();
	public abstract AddProfileDialogView create_add_profile_dialog_view ();
	public abstract void show_build_log_page ();
}
