/* searchbarview.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */

public interface I4uc.Core.SearchBarView : GLib.Object
{
	public abstract string search_text { set; get; }
	public abstract bool search_backward_sensitive { set; get; }
	public abstract bool search_forward_sensitive { set; get; }
	public abstract bool highlight_all { set; get; }
	public abstract bool match_case { set; get; }
	public abstract string replace_text { set; get; }
	public abstract bool replace_sensitive { set; get; }
	public abstract bool replace_all_sensitive { set; get; }
	
	public signal void search_backward_clicked ();
	public signal void search_forward_clicked ();
	public signal void replace_clicked ();
	public signal void replace_all_clicked ();
	public signal void close_clicked ();
	
	public abstract void search (bool forward);
	public abstract void apply_highlight ();
	public abstract void remove_highlight ();
	public abstract void replace ();
	public abstract void replace_all ();
	public abstract void grab_focus ();
}
