/* winserialportutils.vala
 *
 * Copyright (C) 2010-2011  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */
using Gee;

public class I4uc.Core.WinSerialPortUtils : SerialPortUtils
{
	public override Gee.List<string> list_serial_ports ()
	{
		var serial_ports = new ArrayList<string> ();
		
		// Test if exists COM{1..32}
		for (var i=1; i<=32; i++)
		{
			var device = "COM" +  i.to_string ();
			if (FileUtils.test (device, FileTest.EXISTS))
				serial_ports.add (device);
		}
		
		return serial_ports.read_only_view;
	}
}
